# Katabatic Documentation

# Katabatic - Routing Toolbox

List of all members | Public Member Functions
AutoSegments_AnchorOnGCell Class Reference

All AutoSegment Beginning and/or Stopping in a GCell. More...

Inheritance diagram for AutoSegments_AnchorOnGCell:
[legend]

## Public Member Functions

| AutoSegments_AnchorOnGCell (GCell *fcell, unsigned int flags)
| AutoSegments_AnchorOnGCell (const AutoSegments_AnchorOnGCell &)
virtual AutoSegmentHC * | getClone () const
virtual AutoSegmentHL * | getLocator () const

## Detailed Description

All AutoSegment Beginning and/or Stopping in a GCell.

A Collection to iterate over all the AutoSegment that begin from and/or end in a GCell.

## Constructor & Destructor Documentation

## ◆ AutoSegments_AnchorOnGCell() [1/2]

AutoSegments_AnchorOnGCell | ( | GCell * | fcell,
|  | unsigned int | flags
| ) |  |

inline

Create a collection of all the AutoSegment beginning from and/or ending in `fcell`. The set returned by the Collection is selected through `flags` :

- Katabatic::KbBySource : include AutoSegment starting from `fcell`.
- Katabatic::KbByTarget : include AutoSegment ending in `fcell`.
- Katabatic::KbHorizontal : include horizontal AutoSegment.
- Katabatic::KbVertical : include vertical AutoSegment.

## ◆ AutoSegments_AnchorOnGCell() [2/2]

AutoSegments_AnchorOnGCell | ( | const AutoSegments_AnchorOnGCell & | autosegments | ) |

inline

Copy constructor.

## Member Function Documentation

## ◆ getClone()

AutoSegmentHC * getClone | ( |  | ) | const

virtual

Returns: A deep copy of the Collection.

Implements Collection< Type >.

## ◆ getLocator()

AutoSegmentHC * getLocator | ( |  | ) | const

virtual

Returns: A deep copy of the Collection Locator.

Implements Collection< Type >.

The documentation for this class was generated from the following files:

- AutoSegments.h
- AutoSegments.dox